View Issue Details

IDProjectCategoryView StatusLast Update
0021878mantisbtperformancepublic2017-06-19 07:48
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.3 
Target Version1.3.4Fixed in Version1.3.4 
Summary0021878: Improve issue note caching
Description

At the moment, to check that a note exists and then retrieve it involves two queries, we should have one query to cover both using caching.

TagsNo tags attached.

Relationships

related to 0023031 new "Issue History" not showing certain data 

Activities

Related Changesets

MantisBT: master-1.3.x b1c063b3

2016-11-07 01:37:47

vboctor

Details Diff
Re-implement issue note notifications

Email notifications for notes shouldn't include full issue information
Fixes 0021876

Mentioned users in a new note shouldn't receive double notifications
Fixes 0021877

Include note attachments information in issue note added notification
Fixes 0021875

Explicitly pass issue note id to email notifications rather than getting latest note id
Fixes 0021879

Improve issue note caching
Fixes 0021878
mod - bugnote_add.php Diff File
mod - core/bugnote_api.php Diff File
mod - core/email_api.php Diff File
mod - core/file_api.php Diff File
mod - core/mention_api.php Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master-1.3.x 19736210

2016-11-08 11:01:54

vboctor

Details Diff
Add bugnote exists check to history API

Fixes 0021878
mod - core/history_api.php Diff File

Issue History

Date Modified Username Field Change
2016-11-07 01:14 vboctor New Issue
2016-11-07 01:14 vboctor Status new => assigned
2016-11-07 01:14 vboctor Assigned To => vboctor
2016-11-07 01:53 vboctor Note Added: 0054454
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x b1c063b3
2016-11-13 18:13 vboctor Changeset attached => MantisBT master-1.3.x 19736210
2016-11-13 18:13 vboctor Status assigned => resolved
2016-11-13 18:13 vboctor Resolution open => fixed
2016-11-13 18:13 vboctor Fixed in Version => 1.3.4
2016-11-15 11:28 dregad Relationship added related to 0021884
2016-11-15 11:29 dregad Relationship deleted related to 0021884
2016-11-27 00:45 vboctor Status resolved => closed
2017-06-19 07:48 atrol Relationship added related to 0023031